org.apache.storm.sql.runtime.streams.functions

## Class EvaluationCalc

- java.lang.Object
- - org.apache.storm.sql.runtime.streams.functions.EvaluationCalc

- All Implemented Interfaces:
    Serializable, FlatMapFunction<Values,Values>, Function<Values,Iterable<Values>>, Operation

      public class EvaluationCalc
      extends Object
      implements FlatMapFunction<Values,Values>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EvaluationCalc(ExecutableExpression filterInstance, ExecutableExpression projectionInstance, int outputCount, org.apache.calcite.DataContext dataContext)` EvaluationCalc Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterable<Values>` | `apply(Values input)` Applies this function to the given argument.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EvaluationCalc

          public EvaluationCalc(ExecutableExpression filterInstance,
                                ExecutableExpression projectionInstance,
                                int outputCount,
                                org.apache.calcite.DataContext dataContext)

      EvaluationCalc Constructor.

      Parameters:
        `filterInstance` - ExecutableExpression
        `projectionInstance` - ExecutableExpression
        `outputCount` - output count
        `dataContext` - DataContext

  - ### Method Detail

    - #### apply

          public Iterable<Values> apply(Values input)

      Description copied from interface: `Function`

      Applies this function to the given argument.

      Specified by:
        `apply` in interface `Function<Values,Iterable<Values>>`
      Parameters:
        `input` - the input to the function
      Returns:
        the function result

Copyright © 2021 The Apache Software Foundation. All rights reserved.